-- MariaDB dump 10.19  Distrib 10.4.30-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: madmaxla_movie_maniac
-- ------------------------------------------------------
-- Server version	10.4.30-MariaDB-cll-lve

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `comments`
--

DROP TABLE IF EXISTS `comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comments` (
  `id` varchar(36) NOT NULL,
  `commented_id` varchar(20) NOT NULL,
  `name` varchar(20) NOT NULL,
  `comment` longtext NOT NULL,
  `created_at` datetime NOT NULL DEFAULT current_timestamp(),
  `avatar` smallint(2) NOT NULL,
  `type` varchar(5) NOT NULL,
  `liked` int(5) NOT NULL DEFAULT 0,
  `disliked` int(5) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comments`
--

LOCK TABLES `comments` WRITE;
/*!40000 ALTER TABLE `comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `comments_answers`
--

DROP TABLE IF EXISTS `comments_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comments_answers` (
  `id` varchar(36) NOT NULL,
  `comment_id` varchar(36) NOT NULL,
  `comment` longtext NOT NULL,
  `created_at` datetime NOT NULL DEFAULT current_timestamp(),
  `user` varchar(20) NOT NULL,
  `avatar` smallint(2) NOT NULL,
  `liked` int(5) NOT NULL DEFAULT 0,
  `disliked` int(5) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `comment_id` (`comment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comments_answers`
--

LOCK TABLES `comments_answers` WRITE;
/*!40000 ALTER TABLE `comments_answers` DISABLE KEYS */;
/*!40000 ALTER TABLE `comments_answers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `comments_dislikes`
--

DROP TABLE IF EXISTS `comments_dislikes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comments_dislikes` (
  `id` varchar(36) NOT NULL,
  `disliked_id` varchar(36) NOT NULL,
  `user` varchar(20) NOT NULL,
  `original_comment_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comments_dislikes`
--

LOCK TABLES `comments_dislikes` WRITE;
/*!40000 ALTER TABLE `comments_dislikes` DISABLE KEYS */;
/*!40000 ALTER TABLE `comments_dislikes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `comments_likes`
--

DROP TABLE IF EXISTS `comments_likes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comments_likes` (
  `id` varchar(36) NOT NULL,
  `liked_id` varchar(36) NOT NULL,
  `user` varchar(20) NOT NULL,
  `original_comment_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comments_likes`
--

LOCK TABLES `comments_likes` WRITE;
/*!40000 ALTER TABLE `comments_likes` DISABLE KEYS */;
/*!40000 ALTER TABLE `comments_likes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `favourite_actors`
--

DROP TABLE IF EXISTS `favourite_actors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `favourite_actors` (
  `id` varchar(36) NOT NULL,
  `actor_id` varchar(40) NOT NULL,
  `user` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `image` varchar(320) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `favourite_actors`
--

LOCK TABLES `favourite_actors` WRITE;
/*!40000 ALTER TABLE `favourite_actors` DISABLE KEYS */;
INSERT INTO `favourite_actors` VALUES ('79e22d8f-905b-4a0b-8ca9-a5a0e4a14ef2','nm0000469','Jarek1984','James Earl Jones','https://m.media-amazon.com/images/M/MV5BMTcwNTg1MzMwM15BMl5BanBnXkFtZTcwNTQyMDgyMg@@._V1_Ratio0.6751_AL_.jpg'),('b6200c6c-6cca-4ebe-a02a-bb8da8b5bae4','nm0001884','Jarek1984','Max von Sydow','https://m.media-amazon.com/images/M/MV5BMTI3MDQzOTMwN15BMl5BanBnXkFtZTYwMDgyMjM1._V1_Ratio0.6751_AL_.jpg'),('e4b4674a-90e9-4426-80e6-767c9c7e3ad8','nm0000216','Jarek1984','Arnold Schwarzenegger','https://m.media-amazon.com/images/M/MV5BMTI3MDc4NzUyMV5BMl5BanBnXkFtZTcwMTQyMTc5MQ@@._V1_Ratio0.6751_AL_.jpg');
/*!40000 ALTER TABLE `favourite_actors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `favourites`
--

DROP TABLE IF EXISTS `favourites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `favourites` (
  `id` varchar(36) NOT NULL,
  `movie_id` varchar(40) NOT NULL,
  `user` varchar(50) NOT NULL,
  `name` varchar(80) NOT NULL,
  `image` varchar(300) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `favourites`
--

LOCK TABLES `favourites` WRITE;
/*!40000 ALTER TABLE `favourites` DISABLE KEYS */;
INSERT INTO `favourites` VALUES ('0636e762-eecd-474e-bb00-7575fd1992cf','tt13345606','TestUser','Evil Dead Rise','https://m.media-amazon.com/images/M/MV5BMmZiN2VmMjktZDE5OC00ZWRmLWFlMmEtYWViMTY4NjM3ZmNkXkEyXkFqcGdeQXVyMTI2MTc2ODM3._V1_Ratio0.6757_AL_.jpg'),('066a7719-a648-4f87-a320-c76f21651724','tt0086190','Jarek1984','Star Wars: Episode VI - Return of the Jedi','https://m.media-amazon.com/images/M/MV5BOWZlMjFiYzgtMTUzNC00Y2IzLTk1NTMtZmNhMTczNTk0ODk1XkEyXkFqcGdeQXVyNTAyODkwOQ@@._V1_Ratio0.6757_AL_.jpg'),('07b66621-38da-44d5-8a3d-00812315eb1d','tt4189022','TestUser','Ash vs Evil Dead','https://m.media-amazon.com/images/M/MV5BMTYyMjQyNTE5MF5BMl5BanBnXkFtZTgwMjEyMjE2NDM@._V1_Ratio0.6757_AL_.jpg'),('103e5bb8-af45-467a-85a7-5b41cd4e4f84','tt2442560','TestUser','Peaky Blinders (TV Series 2013–2022)','https://m.media-amazon.com/images/M/MV5BZjYzZDgzMmYtYjY5Zi00YTk1LThhMDYtNjFlNzM4MTZhYzgyXkEyXkFqcGdeQXVyMTE5NDQ1MzQ3._V1_Ratio0.8043_AL_.jpg'),('13534e63-7349-4332-88d9-3d4833c5a51b','tt0082198','Jarek1984','Conan the Barbarian','https://m.media-amazon.com/images/M/MV5BMWYwZGU1N2UtNTU5My00ZTVkLThjZDktZTQzZmEyMzZjMTdmXkEyXkFqcGdeQXVyMjUzOTY1NTc@._V1_Ratio0.6757_AL_.jpg'),('1a767eb8-e3af-4cdf-9cd6-083b5f1d79a6','tt0120338','TestUser','Titanic','https://m.media-amazon.com/images/M/MV5BMDdmZGU3NDQtY2E5My00ZTliLWIzOTUtMTY4ZGI1YjdiNjk3XkEyXkFqcGdeQXVyNTA4NzY1MzY@._V1_Ratio0.6757_AL_.jpg'),('2d307346-84ac-405b-9df9-2cfe999c6791','tt0091203','Jarek1984','Highlander (1986)','https://m.media-amazon.com/images/M/MV5BMjc3YmU3MzQtNTA4OC00ZjljLWFmODAtZDU1YzY5ZTNkZDU3XkEyXkFqcGdeQXVyNTAyODkwOQ@@._V1_Ratio0.6762_AL_.jpg'),('34a5e363-f286-433b-b9cd-936ee5002097','tt0100758','Jarek1984','Teenage Mutant Ninja Turtles','https://m.media-amazon.com/images/M/MV5BNzg3NTQ4NDk5NV5BMl5BanBnXkFtZTgwNzMzNDg4NjE@._V1_Ratio0.6757_AL_.jpg'),('3fa4e234-9de1-4cb6-a6ed-0de1f64fd8d1','tt0106308','TestUser','Army of Darkness','https://m.media-amazon.com/images/M/MV5BODcyYzM4YTAtNGM5MS00NjU4LTk2Y2ItZjI5NjkzZTk0MmQ1XkEyXkFqcGdeQXVyNjU0OTQ0OTY@._V1_Ratio0.6757_AL_.jpg'),('4d13f43f-7793-4d77-9435-7d88a587a168','tt0093870','Jarek1984','RoboCop','https://m.media-amazon.com/images/M/MV5BZWVlYzU2ZjQtZmNkMi00OTc3LTkwZmYtZDVjNmY4OWFmZGJlXkEyXkFqcGdeQXVyMTQxNzMzNDI@._V1_Ratio0.6757_AL_.jpg'),('520ee7c8-660b-4499-8f02-50453ddce2a8','tt0100502','Jarek1984','RoboCop 2','https://m.media-amazon.com/images/M/MV5BZWQ1YjQ3ZTAtN2VlMC00YTllLTk3ZmEtNDlmNzg4ZGM1ODhjXkEyXkFqcGdeQXVyNDQ2MTMzODA@._V1_Ratio0.6757_AL_.jpg'),('576db40d-6ba7-412e-8a20-1469c338d453','tt0088247','Jarek1984','The Terminator','https://m.media-amazon.com/images/M/MV5BYTViNzMxZjEtZGEwNy00MDNiLWIzNGQtZDY2MjQ1OWViZjFmXkEyXkFqcGdeQXVyNzkwMjQ5NzM@._V1_Ratio0.6757_AL_.jpg'),('6712f6b3-08d5-4d52-b9af-a994babc1de9','tt1127180','TestUser','Drag Me to Hell (2009)','https://m.media-amazon.com/images/M/MV5BMTQwNTMyNjc5Ml5BMl5BanBnXkFtZTcwOTI2MTQ0Mg@@._V1_Ratio0.6762_AL_.jpg'),('6bff6fb4-f061-45ad-b18e-ca82f16b83f1','tt0093773','Jarek1984','Predator','https://m.media-amazon.com/images/M/MV5BY2QwYmFmZTEtNzY2Mi00ZWMyLWEwY2YtMGIyNGZjMWExOWEyXkEyXkFqcGdeQXVyNjUwNzk3NDc@._V1_Ratio0.6757_AL_.jpg'),('75c46e01-c9ec-42fb-b744-9c687d1cd751','tt1288558','TestUser','Evil Dead','https://m.media-amazon.com/images/M/MV5BYzk2ZTVhOWMtMWQxYS00OWQzLWFmY2QtODQ4NGFmNGQxZWVmXkEyXkFqcGdeQXVyNTIzOTk5ODM@._V1_Ratio0.6757_AL_.jpg'),('766f0aaf-f884-4de3-b1cc-1c59fb13739d','tt0100343','Jarek1984','Peacemaker (1990)','https://m.media-amazon.com/images/M/MV5BMjIzNTU0Nzg4MV5BMl5BanBnXkFtZTgwMjMzNDkwMzE@._V1_Ratio0.7046_AL_.jpg'),('83b9c089-2438-4e5e-92bc-01ba180143e0','tt0092991','TestUser','Evil Dead II','https://m.media-amazon.com/images/M/MV5BMWY3ODZlOGMtNzJmOS00ZTNjLWI3ZWEtZTJhZTk5NDZjYWRjXkEyXkFqcGdeQXVyNjU0OTQ0OTY@._V1_Ratio0.6757_AL_.jpg'),('b03d7252-1b3f-4a30-9cc2-eb0a34ef479b','tt0083907','TestUser','The Evil Dead','https://m.media-amazon.com/images/M/MV5BODc2MmVjZmUtNjAzMS00MDNiLWIyM2YtOGEzMjg0YjRhMzRmXkEyXkFqcGdeQXVyMTQxNzMzNDI@._V1_Ratio0.6757_AL_.jpg'),('bb60d325-8575-4ce4-9b02-7f5c5ae48d62','tt0080684','Jarek1984','Star Wars: Episode V - The Empire Strikes Back','https://m.media-amazon.com/images/M/MV5BYmU1NDRjNDgtMzhiMi00NjZmLTg5NGItZDNiZjU5NTU4OTE0XkEyXkFqcGdeQXVyNzkwMjQ5NzM@._V1_Ratio0.6757_AL_.jpg'),('bf84b603-0821-4040-9ed3-3b25ee676a3d','tt4574334','TestUser','Stranger Things','https://m.media-amazon.com/images/M/MV5BMDZkYmVhNjMtNWU4MC00MDQxLWE3MjYtZGMzZWI1ZjhlOWJmXkEyXkFqcGdeQXVyMTkxNjUyNQ@@._V1_Ratio0.8108_AL_.jpg'),('c5ee75b4-9257-4759-be63-13b821bd8ee0','tt0100403','Jarek1984','Predator 2','https://m.media-amazon.com/images/M/MV5BNThjZjI4NTgtZDk4Mi00ZjI1LWExZGUtNTRkOWY1ZTY3M2FlXkEyXkFqcGdeQXVyMTQxNzMzNDI@._V1_Ratio0.6757_AL_.jpg'),('cea188d3-6729-483b-ab43-7637ac95508e','tt0371746','Jarek1984','Iron Man','https://m.media-amazon.com/images/M/MV5BMTczNTI2ODUwOF5BMl5BanBnXkFtZTcwMTU0NTIzMw@@._V1_Ratio0.6757_AL_.jpg'),('d4c56c70-75f1-458f-8654-c9867ad66768','tt0090605','Jarek1984','Aliens','https://m.media-amazon.com/images/M/MV5BZTM1Nzk5ZTItN2ZkNi00MDRjLWIwYWUtOWY4ZjZmZjkyM2I0XkEyXkFqcGdeQXVyNTU1NTcwOTk@._V1_Ratio0.6757_AL_.jpg'),('f96ae17c-511e-4bc6-a530-fda0dd5d3fb5','tt0076759','Jarek1984','Star Wars: Episode IV - A New Hope','https://m.media-amazon.com/images/M/MV5BOTA5NjhiOTAtZWM0ZC00MWNhLThiMzEtZDFkOTk2OTU1ZDJkXkEyXkFqcGdeQXVyMTA4NDI1NTQx._V1_Ratio0.6757_AL_.jpg'),('fbfbce8f-d1e0-446c-aa59-3a12c95669a8','tt0103064','Jarek1984','Terminator 2: Judgment Day','https://m.media-amazon.com/images/M/MV5BMGU2NzRmZjUtOGUxYS00ZjdjLWEwZWItY2NlM2JhNjkxNTFmXkEyXkFqcGdeQXVyNjU0OTQ0OTY@._V1_Ratio0.6757_AL_.jpg');
/*!40000 ALTER TABLE `favourites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userslist`
--

DROP TABLE IF EXISTS `userslist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `userslist` (
  `id` varchar(36) NOT NULL,
  `name` varchar(30) NOT NULL,
  `passwordhash` varchar(65) NOT NULL,
  `email` varchar(100) NOT NULL,
  `isverified` smallint(2) NOT NULL DEFAULT 0,
  `avatar` smallint(1) NOT NULL DEFAULT 0,
  `date` date NOT NULL DEFAULT current_timestamp(),
  `verification_code` smallint(4) DEFAULT NULL,
  PRIMARY KEY (`name`),
  KEY `name` (`name`),
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `userslist`
--

LOCK TABLES `userslist` WRITE;
/*!40000 ALTER TABLE `userslist` DISABLE KEYS */;
INSERT INTO `userslist` VALUES ('91dfbed2-7ec4-400a-a2f4-71482d3d2585','123123','$2b$10$F/1mQrP6nQsrv1HsSX8CeeEn5gvTAqBbxYhcMQhok5al8BGZ/m.qe','test-y17xbnxr9@srv1.mail-tester.com',1,0,'2023-04-15',3452),('4460e6b9-9e66-412d-a8ea-13133c313169','apidev','$2b$10$46sMO/ElG1ydaJFH7PKAK.qMnZ29bDIzdUJb8Gec7Yq2bKdcXP2GS','amidamaru.pro@gmail.com',1,0,'2023-04-15',3334),('c202167b-28d8-4e97-ac92-5abdbe0da879','Jarek1984','$2b$10$nog.CwKT7ztw0X7DDdZ67OgckOcGB67yIKi2lSR4gjCJQpVJD4.cW','jarekkrolik@vp.pl',1,1,'2023-04-08',3150),('e41a0e2c-5645-4cc8-b653-37d014e4b38d','TestUser','$2b$10$IYEeWCCLs7Qyzh7SZuNNzOBXSReauqJ8k1Rg/Y4kqha76V4XM8KBi','jarekkrolik@vp.pl',1,5,'2023-04-08',2841);
/*!40000 ALTER TABLE `userslist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'madmaxla_movie_maniac'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-03-19 21:57:13
