"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.favouriteRouter = void 0;
const express_1 = require("express");
const favouriteMovies_1 = require("../utils/repositories/favouriteMoviesRepository/favouriteMovies");
exports.favouriteRouter = (0, express_1.Router)()
    .get('/actor/:user', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const user = req.params.user;
    const actorsList = yield favouriteMovies_1.FavouriteMovies.getFavouriteActors(user);
    res.json(actorsList);
}))
    .get('/:user', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const user = req.params.user;
    const moviesList = yield favouriteMovies_1.FavouriteMovies.getFavouriteMovies(user);
    res.json(moviesList);
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { id, user, title, image, type } = yield req.body;
    try {
        if (type === 'movie') {
            yield favouriteMovies_1.FavouriteMovies.insertFavouriteMovieIntoDatabase(id, user, title, image);
        }
        if (type === 'actor') {
            yield favouriteMovies_1.FavouriteMovies.insertFavouriteActorIntoDatabase(id, user, title, image);
        }
        res.json({ response: 'ok' });
    }
    catch (e) {
        res.json(e);
    }
}))
    .delete('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const { id, user, type } = yield req.body;
        if (type === 'movie') {
            yield favouriteMovies_1.FavouriteMovies.deleteMovieFromFavouritesList(id, user);
        }
        if (type === 'actor') {
            yield favouriteMovies_1.FavouriteMovies.deleteActorFromFavouritesList(id, user);
        }
        res.json({
            response: 'ok',
        });
    }
    catch (e) {
        res.json(e);
    }
}));
//# sourceMappingURL=favouriteRouter.js.map