"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verificationRouter = void 0;
const express_1 = require("express");
const handleErrors_1 = require("../utils/handleErrors");
const userVerification_1 = require("../utils/repositories/verificationRepository/userVerification");
exports.verificationRouter = (0, express_1.Router)()
    .post('/reset', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const { name, email } = req.body;
        yield userVerification_1.UserVerification.resetUserPassword(name, email);
        res.json({ response: 'New password was sent on your e-mail' });
    }
    catch (e) {
        throw new handleErrors_1.ValidationError(e);
    }
}))
    .post('/:name', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const name = req.params.name;
    const code = Number(req.body.code);
    const userCode = yield userVerification_1.UserVerification.userVerification(name);
    if (code !== userCode) {
        res.json({
            verificationOk: false,
        });
    }
    else {
        yield userVerification_1.UserVerification.verifyUserAccount();
        res.json({
            verificationOk: true,
        });
    }
}));
//# sourceMappingURL=verificationRouter.js.map