"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.noVerifiedAccountsRemover = void 0;
const db_1 = require("./db");
const noVerifiedAccountsRemover = () => __awaiter(void 0, void 0, void 0, function* () {
    const result = yield db_1.pool.execute("SELECT * FROM `userslist` WHERE `isverified`=0");
    const now = new Date().getTime();
    const notVerifiedUsersLongerThanWeek = result[0].map(user => {
        if (now - user.date.getTime() > 604800000) {
            return user.id;
        }
        else {
            return null;
        }
    });
    yield notVerifiedUsersLongerThanWeek.forEach(user => {
        if (user) {
            db_1.pool.execute("DELETE FROM `userslist` WHERE `id`=:id", {
                id: user,
            });
        }
    });
});
exports.noVerifiedAccountsRemover = noVerifiedAccountsRemover;
//# sourceMappingURL=noVerifiedAccountsRemover.js.map