"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FavouriteMovies = void 0;
const db_1 = require("../../db");
const uuid_1 = require("uuid");
class FavouriteMovies {
    static getFavouriteActors(user) {
        return __awaiter(this, void 0, void 0, function* () {
            const actorsList = yield db_1.pool.execute("SELECT * FROM `favourite_actors` WHERE `user`=:user", {
                user: user,
            });
            return actorsList[0];
        });
    }
    static getFavouriteMovies(user) {
        return __awaiter(this, void 0, void 0, function* () {
            const moviesList = yield db_1.pool.execute("SELECT * FROM `favourites` WHERE `user`=:user", {
                user: user,
            });
            return moviesList[0];
        });
    }
    static insertFavouriteMovieIntoDatabase(id, user, title, image) {
        return __awaiter(this, void 0, void 0, function* () {
            const recordId = (0, uuid_1.v4)();
            yield db_1.pool.execute("INSERT INTO `favourites` (`id`,`movie_id`,`user`,`name`,`image`) VALUES (:recordId,:id,:user,:name,:image)", {
                recordId,
                id,
                user,
                name: title,
                image,
            });
        });
    }
    static insertFavouriteActorIntoDatabase(id, user, title, image) {
        return __awaiter(this, void 0, void 0, function* () {
            const recordId = (0, uuid_1.v4)();
            yield db_1.pool.execute("INSERT INTO `favourite_actors` (`id`,`actor_id`,`user`,`name`,`image`) VALUES (:recordId,:id,:user,:name,:image)", {
                recordId,
                id,
                user,
                name: title,
                image,
            });
        });
    }
    static deleteMovieFromFavouritesList(id, user) {
        return __awaiter(this, void 0, void 0, function* () {
            yield db_1.pool.execute(" DELETE FROM `favourites` WHERE `movie_id`=:id AND `user`=:user", {
                id,
                user,
            });
        });
    }
    static deleteActorFromFavouritesList(id, user) {
        return __awaiter(this, void 0, void 0, function* () {
            yield db_1.pool.execute(" DELETE FROM `favourite_actors` WHERE `actor_id`=:id AND `user`=:user", {
                id,
                user,
            });
        });
    }
    static deleteAllFavouriteMoviesAndActors(user) {
        return __awaiter(this, void 0, void 0, function* () {
            yield db_1.pool.execute(" DELETE FROM `favourite_actors` WHERE  `user`=:user", {
                user,
            });
            yield db_1.pool.execute(" DELETE FROM `favourites` WHERE  `user`=:user", {
                user,
            });
        });
    }
}
exports.FavouriteMovies = FavouriteMovies;
//# sourceMappingURL=favouriteMovies.js.map