"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserVerification = void 0;
const user_record_1 = require("../../../records/user.record");
const bcrypt_1 = require("bcrypt");
const db_1 = require("../../db");
const sendNewPasswordEmail_1 = require("../../sendNewPasswordEmail");
class UserVerification {
    static verifyUserAccount() {
        return __awaiter(this, void 0, void 0, function* () {
            yield db_1.pool.execute("UPDATE `userslist` SET `isverified` = '1'");
        });
    }
    static userVerification(name) {
        return __awaiter(this, void 0, void 0, function* () {
            const user = yield db_1.pool.execute("SELECT * FROM `userslist` WHERE `name`=:name", {
                name: name,
            });
            return user[0][0].verification_code;
        });
    }
    static resetUserPassword(name, email) {
        return __awaiter(this, void 0, void 0, function* () {
            const newPassword = yield user_record_1.UserRecord.resetPassword();
            const hashPassword = yield (0, bcrypt_1.hash)(newPassword, 10);
            yield db_1.pool.execute("UPDATE `userslist` SET `passwordhash`=:password WHERE `name`=:name AND `email`=:email", {
                password: hashPassword,
                name,
                email,
            });
            yield (0, sendNewPasswordEmail_1.sendNewPasswordEmail)(email, newPassword);
        });
    }
}
exports.UserVerification = UserVerification;
//# sourceMappingURL=userVerification.js.map